org.eclipse.jetty.plus.annotation

## Class Injection

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.Injection

    public class Injection
    extends Object

Injection Represents the injection of a resource into a target (method or field). The injection is performed by doing an ENC lookup using the jndi name provided, and setting the object obtained on the target.

### Constructor Summary

Constructors
Constructor and Description
`Injection()`

### Method Summary

Methods
`String` `getJndiName()`
`String` `getMappingName()`
`Class<?>` `getParamClass()`
`Class<?>` `getResourceClass()`
`Member` `getTarget()`
`Class<?>` `getTargetClass()`
`void` `inject(Object injectable)` Inject a value for a Resource from JNDI into an object
`protected void` `injectField(Field field, Object injectable)` Inject value from jndi into a field of an instance
`protected void` `injectMethod(Method method, Object injectable)` Inject value from jndi into a setter method of an instance
`boolean` `isField()`
`boolean` `isMethod()`
`Object` `lookupInjectedValue()` The Resource must already exist in the ENC of this webapp.
`void` `setJndiName(String jndiName)`
`void` `setMappingName(String mappingName)`
`void` `setTarget(Class<?> clazz, Field field, Class<?> resourceType)`
`void` `setTarget(Class<?> clazz, Method method, Class<?> arg, Class<?> resourceType)`
`void` `setTarget(Class<?> clazz, String target, Class<?> resourceType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Injection

    public Injection()

### Method Detail

#### getTargetClass

    public Class<?> getTargetClass()

Returns:
  the _className

#### getParamClass

    public Class<?> getParamClass()

#### getResourceClass

    public Class<?> getResourceClass()

#### isField

    public boolean isField()

#### isMethod

    public boolean isMethod()

#### getJndiName

    public String getJndiName()

Returns:
  the jndiName

#### setJndiName

    public void setJndiName(String jndiName)

Parameters:
  `jndiName` - the jndiName to set

#### getMappingName

    public String getMappingName()

Returns:
  the mappingName

#### setMappingName

    public void setMappingName(String mappingName)

Parameters:
  `mappingName` - the mappingName to set

#### getTarget

    public Member getTarget()

Returns:
  the target

#### setTarget

    public void setTarget(Class<?> clazz,
                 Field field,
                 Class<?> resourceType)

#### setTarget

    public void setTarget(Class<?> clazz,
                 Method method,
                 Class<?> arg,
                 Class<?> resourceType)

#### setTarget

    public void setTarget(Class<?> clazz,
                 String target,
                 Class<?> resourceType)

#### inject

    public void inject(Object injectable)

Inject a value for a Resource from JNDI into an object

Parameters:
  `injectable` -

#### lookupInjectedValue

    public Object lookupInjectedValue()
                               throws NamingException

The Resource must already exist in the ENC of this webapp.

Returns:
  the injected valud
Throws:
  `NamingException`

#### injectField

    protected void injectField(Field field,
                   Object injectable)

Inject value from jndi into a field of an instance

Parameters:
  `field` -
  `injectable` -

#### injectMethod

    protected void injectMethod(Method method,
                    Object injectable)

Inject value from jndi into a setter method of an instance

Parameters:
  `method` -
  `injectable` -